Bug 128270 - Remove -webkit prefix from the background-blend-mode property
: Remove -webkit prefix from the background-blend-mode property
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: CSS
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Mihai Tica
:
Depends on:
Blocks: 91908
  Show dependency treegraph
 
Reported: 2014-02-05 13:43 PST by Rik Cabanier
Modified: 2014-02-07 10:41 PST (History)
9 users (show)

See Also:


Attachments
Patch V1 (76.28 KB, patch)
2014-02-06 08:37 PST, Mihai Tica
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rik Cabanier 2014-02-05 13:43:18 PST
The Compositing and Blending spec is now in CR, see:  http://lists.w3.org/Archives/Public/public-fx/2014JanMar/0048.html
background-blend-mode has been in the webkit codebase for over 6 months, has been quite stable and is not behind a compile time flag any more.

We feel it's ready to remove the prefix as it is very unlikely that the behavior will change.
Comment 1 Mihai Tica 2014-02-06 08:37:33 PST
Created attachment 223333 [details]
Patch V1
Comment 2 Dean Jackson 2014-02-07 10:13:04 PST
Comment on attachment 223333 [details]
Patch V1

r+, but I wondered if we should keep the prefixed form around for a while.... although I guess at least Safari didn't ship with it.
Comment 3 WebKit Commit Bot 2014-02-07 10:41:53 PST
Comment on attachment 223333 [details]
Patch V1

Clearing flags on attachment: 223333

Committed r163633: <http://trac.webkit.org/changeset/163633>
Comment 4 WebKit Commit Bot 2014-02-07 10:41:55 PST
All reviewed patches have been landed.  Closing bug.